<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useHeaderCommandBarDefaults](./react.useheadercommandbardefaults.md)

## useHeaderCommandBarDefaults() function

Helper to create the props necessary for the default inverted management bar. Basic colors can be customized, but note that if you do not want an always-inverted bar like that used in the DataShaper webapp, you may want to just tweak the Fluent styles as normal.

<b>Signature:</b>

```typescript
export declare function useHeaderCommandBarDefaults(props?: Partial<ICommandBarProps>, far?: boolean, colors?: Partial<CommandBarColors>): ICommandBarProps;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  props | Partial&lt;ICommandBarProps&gt; | <i>(Optional)</i> |
|  far | boolean | <i>(Optional)</i> |
|  colors | Partial&lt;CommandBarColors&gt; | <i>(Optional)</i> |

<b>Returns:</b>

ICommandBarProps


